# $Revision: 1.17 $, $Date: 2006/12/11 21:43:37 $
Summary:	Cartographic projection software
Summary(pl):	Oprogramowanie do rzutw kartograficznych
Name:		proj
Version:	4.5.0
Release:	1
Group:		Libraries
License:	MIT
# use ftp.gdal.org (same IP) because of NS problems with remotesensing.org
Source0:	ftp://ftp.gdal.org/proj/%{name}-%{version}.tar.gz
# Source0-md5:	336fc8a12abbc4709e0bc1fb88a77436
Source1:	ftp://ftp.gdal.org/proj/%{name}-pdf-docs.tar.gz
# Source1-md5:	7c8f48f0fddf0d5730f4b27b3f09e6c1
URL:		http://www.remotesensing.org/proj/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cartographic projection software.

%description -l pl
Oprogramowanie do rzutw kartograficznych.

%package devel
Summary:	proj header files
Summary(pl):	Pliki nagwkowe proj
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains proj header files.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe niezbdne do tworzenia aplikacji
korzystajcych z biblioteki proj.

%package static
Summary:	proj static libraries
Summary(pl):	Biblioteki statyczne libPropList
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static proj libraries.

%description static -l pl
Ten pakiet zawiera statyczne biblioteki proj.

%package progs
Summary:	Cartographic projection software
Summary(pl):	Oprogramowanie do rzutw kartograficznych
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description progs
Package contains cartographic projection and coordinate system
filters.

%description progs -l pl
Ten pakiet zawiera filtry do rzutw kartograficznych i ukadw
wsprzdnych.

%package doc
Summary:	Manuals for cartographic projection software
Summary(pl):	Dokumentacja do proj
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Manuals for cartographic projection software.

%description doc -l pl
Dokumentacja do oprogramowania do rzutw kartograficznych proj.

%prep
%setup -q -a1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libproj.so.*.*
%dir %{_datadir}/proj
%{_datadir}/proj/GL27
%{_datadir}/proj/nad27
%{_datadir}/proj/nad83
%{_datadir}/proj/nad.lst
%{_datadir}/proj/proj_def.dat
%{_datadir}/proj/world
%{_datadir}/proj/epsg
%{_datadir}/proj/esri
%{_datadir}/proj/esri.extra
%{_datadir}/proj/other.extra

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproj.so
%{_libdir}/libproj.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libproj.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files doc
%defattr(644,root,root,755)
%doc *.pdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: proj.spec,v $
Revision 1.17  2006/12/11 21:43:37  qboosh
- simplified Source URLs

Revision 1.16  2006/12/11 21:41:22  qboosh
- updated to 4.5.0, updated docs

Revision 1.15  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.14  2004/10/31 13:09:32  qboosh
- updated to 4.4.9, package docs in original format

Revision 1.13  2004/05/05 21:37:43  qboosh
- updated to 4.4.8, strict internal deps

Revision 1.12  2004/01/20 22:52:41  qboosh
- more cosmetics

Revision 1.11  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.10  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.9  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/09 23:45:56  qboosh
- updated to 4.4.7, removed obsolete am16 patch

Revision 1.6  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.5  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/06/02 08:51:49  kloczek
- added fix for automake >= 1.6 (am16 patch) and full regenerate ac/am/lt files,
- convert pdf documentation to ps format (pdf documentation do not contains any
  hypertext additionals so converting to ps do not removes any possibilities but
  compressed ps documentation is smaller).

Revision 1.2  2002/06/01 20:06:26  qboosh
- new %%doc, more docs, pl descriptions, added missing dir

Revision 1.1  2002/05/29 13:29:21  bszx
- initial version
